#ifdef HEADER
void wm_test2_test(void);
#endif
#ifdef HANDLER
{"map_throughput", wm_test2_test},
#endif
#ifdef CODE
void
wm_test2_test(void)
{
   int i, wins = 0;
   double t1, t2;
   double total_response = 0.0;
   Window win[1000];
   
   t1 = get_time();
   for (i = 0; i < 200; i++)
     {
	XSetWindowAttributes attr;
	
	attr.event_mask = ExposureMask;
	win[i] = XCreateWindow(d, DefaultRootWindow(d), 0, 0, 200, 200, 0, 
			       DefaultDepth(d, DefaultScreen(d)),
			       InputOutput, 
			       DefaultVisual(d, DefaultScreen(d)),
			       CWEventMask,
			       &attr);
	wins++;
	XMapWindow(d, win[i]);
     }
   XFlush(d);
   for (;;)
     {
	XEvent ev;
	
	XSync(d, False);
	if (XPeekEvent(d, &ev))
	  {
	     XNextEvent(d, &ev);
	     if (ev.type == Expose)
	       {
		  for (i = 0; i < 200; i++)
		    {
		       if (ev.xexpose.window == win[i])
			 {
			    XDestroyWindow(d, win[i]);
			    win[i] = 0;
			    wins--;
			    break;
			 }
		    }
	       }
	  }
	if (wins == 0) break;
     }
   t2 = get_time();
   total_response = t2- t1;
   snprintf(result, sizeof(result),
	    "WIN/SEC %3.6f\n",
	    200.0 / total_response);
}
#endif
